#include <Common/constants.h>

const QString Constants::Parser::QmlTemplates::image = ":/qml/resources/templates/imageBackground.qml";
const QString Constants::Parser::QmlTemplates::color = ":/qml/resources/templates/colorBackground.qml";
const QString Constants::Parser::QmlTemplates::menu = ":/qml/resources/templates/Menu/menu.qml";
const QString Constants::Parser::QmlTemplates::menuElement = ":/qml/resources/templates/Menu/listElement.qml";
const QString Constants::Parser::QmlTemplates::menuElementSize = ":/qml/resources/templates/Menu/costumizeSize.qml";
const QString Constants::Parser::QmlTemplates::menuElementSizeView = ":/qml/resources/templates/Menu/costumizeSizeView.qml";
const QString Constants::Parser::QmlTemplates::information = ":/qml/resources/templates/Information/information.qml";
const QString Constants::Parser::QmlTemplates::informationProperty = ":/qml/resources/templates/Information/cardProperty.qml";
const QString Constants::Parser::QmlTemplates::informationElement = ":/qml/resources/templates/Information/listInformationElement.qml";
const QString Constants::Parser::QmlTemplates::informationElementView = ":/qml/resources/templates/Information/listInformationViewElement.qml";
const QString Constants::Parser::QmlTemplates::informationIcon = ":/qml/resources/templates/Information/iconImage.qml";
const QString Constants::Parser::QmlTemplates::ink = ":/qml/resources/templates/Ink/ink.qml";
const QString Constants::Parser::QmlTemplates::inkElement = ":/qml/resources/templates/Ink/ListInkElement.qml";

const QString  Constants::Parser::InkView::colorOption = "PERCENTAGE_COLOR";
const QString  Constants::Parser::InkView::textOption = "INK_TEXT";

const QString Constants::Parser::MenuView::marginRight = "marginRight";
const QString Constants::Parser::MenuView::marginLeft = "marginLeft";
const QString Constants::Parser::MenuView::marginBottom = "marginBottom";
const QString Constants::Parser::MenuView::marginTop = "marginTop";
const QString Constants::Parser::MenuView::image = "imagen";
const QString Constants::Parser::MenuView::name = "name";

const QString Constants::Parser::InformationView::iconOption = "imagen";
const QString Constants::Parser::InformationView::titleOption = "cardTitle";
const QString Constants::Parser::InformationView::id = "idElement";
const QString Constants::Parser::InformationView::rowElements = "ROWS";
const QString Constants::Parser::InformationView::rowElementRol = "rElements";
const QString Constants::Parser::InformationView::colElements = "COLS";
const QString Constants::Parser::InformationView::colElementRol = "cElements";
const QString Constants::Parser::InformationView::iconResize = "ICON_RESIZE";


const QString Constants::Settings::defaultDirKey =  "defaultDir";
const QString Constants::Settings::alwaysAskKey = "alwaysAsk";
const QString Constants::Settings::settingsName = "/Settings-VDA.ini";
const QString Constants::Settings::languageKey = "appLanguage";
const QString Constants::Settings::beforeStartKey = "initTips";

const int Constants::General::MAX_SCREEN_WIDTH= 10000;
const int Constants::General::MAX_SCREEN_HEIGHT= 10000;
const int Constants::General::MIN_SCREEN_WIDTH= 0;
const int Constants::General::MIN_SCREEN_HEIGHT= 0;
const int Constants::General::MAX_NUM_ELEMENTS= 99;
const int Constants::General::MIN_NUM_ELEMENTS= 0;
const int Constants::General::MAX_COLS= 10000;
const int Constants::General::MAX_ROWS= 10000;
const int Constants::General::COLS_LIST= 1;
const int Constants::General::ROWS_LINE= 1;




